config:
  opensearch.yaml: &opensearch-yaml |
    network.host: 0.0.0.0
    plugins:
      security:
        ssl:
          transport:
            pemcert_filepath: /usr/share/opensearch/config/tls-crt.pem
            pemkey_filepath: /usr/share/opensearch/config/tls-key.pem
            pemtrustedcas_filepath: /usr/share/opensearch/config/tls-ca.pem
            enforce_hostname_verification: false
          http:
            enabled: true
            pemcert_filepath: /usr/share/opensearch/config/tls-crt.pem
            pemkey_filepath: /usr/share/opensearch/config/tls-key.pem
            pemtrustedcas_filepath: /usr/share/opensearch/config/tls-ca.pem
        allow_unsafe_democertificates: false
        allow_default_init_securityindex: true
        authcz:
          admin_dn:
            - 'CN=*.opensearch.svc.cluster.local'
        nodes_dn:
          - 'CN=*.opensearch.svc.cluster.local'
        audit.type: internal_opensearch
        enable_snapshot_restore_privilege: true
        check_snapshot_restore_write_privileges: true
        restapi:
          roles_enabled: ["all_access", "security_rest_api_access"]
        system_indices:
          enabled: true
          indices:
            [
              ".opendistro-alerting-config",
              ".opendistro-alerting-alert*",
              ".opendistro-anomaly-results*",
              ".opendistro-anomaly-detector*",
              ".opendistro-anomaly-checkpoints",
              ".opendistro-anomaly-detection-state",
              ".opendistro-reports-*",
              ".opendistro-notifications-*",
              ".opendistro-notebooks",
              ".opendistro-asynchronous-search-response*",
            ]

    reindex.remote.whitelist: a7767ca99088a42d58a098b8795bb42f-2006a66695e6e7bd.elb.us-east-1.amazonaws.com:9200
    reindex.ssl.verification_mode: none

    #################
    # Optimisations #
    #################
    thread_pool.search.queue_size: 5500
    thread_pool.search.min_queue_size: 5000
    thread_pool.search.max_queue_size: 6000
    #
    thread_pool.write.queue_size: 2000
    #
    indices.queries.cache.size: 20%

opensearch-master:  
  replicas: 3
  updateStrategy: OnDelete

  config:
    opensearch.yml: *opensearch-yaml

  resources:
    requests:
      cpu: "1"
      memory: "4Gi"
    limits:
      cpu: "2"
      memory: "4Gi"
  opensearchJavaOpts: "-Xmx2G -Xms2G"

opensearch-data:  
  replicas: 3
  updateStrategy: OnDelete

  config:
    opensearch.yml: *opensearch-yaml

  resources:
    requests:
      cpu: "4"
      memory: "32Gi"
    limits:
      cpu: "6"
      memory: "32Gi"
  opensearchJavaOpts: "-Xmx20G -Xms20G"

opensearch-client:  
  replicas: 3

  config:
    opensearch.yml: *opensearch-yaml

  resources:
    requests:
      cpu: "1"
      memory: "1Gi"
    limits:
      cpu: "1"
      memory: "1Gi"
  opensearchJavaOpts: "-Xmx512M -Xms512M"

prometheus-elasticsearch-exporter:
  envFromSecret: opensearch-monitoring-creds